wipe-sysroots: don't assume TMPDIR is under BUILDDIR

The previous code used the environment variable BUILDDIR and assumed that TMPDIR
was a subdirectory. This often isn't the case, so instead ask bitbake where the
directories we're about to delete are.

(From OE-Core rev: 29491a72acac81ebb7e9ecfbc9392fbeb9a7ea26)

Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Saul Wold <sgw@linux.intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Ross Burton 2013-08-14 15:13:44 +01:00 committed by Richard Purdie
parent 969f4edcf9
commit ca367d02fd
1 changed files with 17 additions and 7 deletions

View File

@ -18,17 +18,27 @@
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
if [ -z "$BUILDDIR" ]; then
echo >&2 "Error: BUILDDIR is not defined, please initialise the build system."
return 1
set -e
ENVS=`mktemp --suffix -wipe-sysroot-envs`
bitbake -p -e > $ENVS
eval `grep -F SSTATE_MANIFESTS= $ENVS`
eval `grep -F STAGING_DIR= $ENVS`
eval `grep -F STAMPS_DIR= $ENVS`
rm -f $ENVS
if [ -z "$SSTATE_MANIFESTS" -o -z "$STAGING_DIR" -o -z "$STAMPS_DIR" ]; then
echo "Could not determine SSTATE_MANIFESTS/STAGING_DIR/STAMPS_DIR, check above for errors"
exit 1
fi
# The sysroots themselves
rm -rf $BUILDDIR/tmp/sysroots/
rm -rf "$STAGING_DIR"
# The stamps that said the sysroot was populated
rm -rf $BUILDDIR/tmp/stamps/*/*/*.do_populate_sysroot.*
rm -rf $BUILDDIR/tmp/stamps/*/*/*.do_populate_sysroot_setscene.*
rm -rf "$STAMPS_DIR/*/*/*.do_populate_sysroot.*"
rm -rf "$STAMPS_DIR/*/*/*.do_populate_sysroot_setscene.*"
# The sstate manifests
rm -rf $BUILDDIR/tmp/sstate-control/manifest-*.populate-sysroot
rm -rf "$SSTATE_MANIFESTS/manifest-*.populate-sysroot"